数据提供商: Keepa
通过业务类型、评分及店铺展示设置来查找 Amazon 卖家
$0.015835 / 次调用异步运行,需轮询 Run
可以通过名称、业务详情、国家、评分、配送方式以及店铺资料,在Keepa的商家数据库中查找Amazon卖家。返回包含50到100个卖家ids以及totalResults的一页结果。至少需要提供一种过滤方式;卖家资料需要通过单独的查询方式来获取。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Keepa endpoint /sellerquery on Glasser.bash
glasser run -p keepa -e '/sellerquery' -i '{"domain":1,"selection":{"hasFBA":true,"perPage":50}}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"keepa","endpoint":"/sellerquery","input":{"domain":1,"selection":{"hasFBA":true,"perPage":50}},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
购买前评估商品时,可以将可用详情与你的需求比较,确定需要进一步了解的内容。
复制此提示词到你的 Agent,按购买需求审阅商品。
提示词
Use keepa:/sellerquery on Glasser.
Check this product against my buying requirements using the details actually returned.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"domain",
"selection"
],
"properties": {
"domain": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11
],
"type": "number"
},
"selection": {
"type": "object",
"properties": {
"page": {
"type": "integer",
"maximum": 199,
"minimum": 0
},
"sort": {
"type": "array",
"items": {
"type": "array",
"items": [
{
"enum": [
"sellerId",
"sellerName",
"businessName",
"currentRating",
"currentRatingCount",
"ratingCount30",
"ratingCount90",
"ratingCount365",
"ratingCountLifetime",
"positiveRating30",
"positiveRating90",
"positiveRating365",
"positiveRatingLifetime",
"neutralRating30",
"neutralRating90",
"neutralRating365",
"neutralRatingLifetime",
"negativeRating30",
"negativeRating90",
"negativeRating365",
"negativeRatingLifetime",
"ratingCountDelta30",
"ratingCountDelta90",
"ratingCountDelta365",
"ratingDelta30",
"ratingDelta90",
"ratingDelta365",
"lastRatingUpdate",
"lastFeedbackDate",
"lastSeenOffer",
"lastSeenFbaOffer",
"totalStorefrontAsins",
"avgBuyBoxCompetitors",
"buyBoxNewOwnershipRate",
"buyBoxUsedOwnershipRate",
"primaryRootCategoryProductCount",
"primaryBrandProductCount",
"topCompetitorPercent",
"productCountWithAmazonOffer",
"avg30SalesRank",
"trackedSince"
],
"type": "string"
},
{
"enum": [
"asc",
"desc"
],
"type": "string"
}
],
"maxItems": 2,
"minItems": 2
},
"maxItems": 3,
"minItems": 1
},
"email": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"vatID": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"brands": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"hasFBA": {
"type": "boolean"
},
"search": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"address": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"perPage": {
"type": "integer",
"maximum": 100,
"minimum": 50
},
"domainId": {
"type": "array",
"items": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11
],
"type": "number"
},
"maxItems": 10,
"minItems": 1
},
"isAmazon": {
"type": "boolean"
},
"minMatch": {
"type": "object",
"properties": {
"email": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"vatID": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"brands": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"domainId": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"sellerId": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"phoneNumber": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"tradeNumber": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"businessType": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"primaryBrand": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"addressCountry": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"representative": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"competitorSellerIds": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"primaryRootCategory": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"topCompetitorSellerId": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"rootCategories_exclude": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"rootCategories_include": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"customerServicesAddressCountry": {
"type": "integer",
"maximum": 50,
"minimum": 1
}
},
"additionalProperties": false
},
"sellerId": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"activeOnly": {
"type": "boolean"
},
"isNotFound": {
"type": "boolean"
},
"sellerName": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"phoneNumber": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"tradeNumber": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"businessName": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"businessType": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"primaryBrand": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"addressCountry": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"representative": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"trackedSince_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"trackedSince_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"currentRating_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"currentRating_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastSeenOffer_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastSeenOffer_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"avg30SalesRank_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"avg30SalesRank_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"hasBusinessDetails": {
"type": "boolean"
},
"ratingCount365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"competitorSellerIds": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"neutralRating30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryRootCategory": {
"type": "array",
"items": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"maxItems": 50,
"minItems": 1
},
"lastFeedbackDate_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastFeedbackDate_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastRatingUpdate_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastRatingUpdate_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastSeenFbaOffer_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastSeenFbaOffer_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"topCompetitorSellerId": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"currentRatingCount_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"currentRatingCount_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"rootCategories_exclude": {
"type": "array",
"items": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"maxItems": 50,
"minItems": 1
},
"rootCategories_include": {
"type": "array",
"items": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"maxItems": 50,
"minItems": 1
},
"ratingCountDelta365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountLifetime_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountLifetime_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"avgBuyBoxCompetitors_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"avgBuyBoxCompetitors_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"topCompetitorPercent_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"topCompetitorPercent_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"totalStorefrontAsins_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"totalStorefrontAsins_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRatingLifetime_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRatingLifetime_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"buyBoxNewOwnershipRate_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"buyBoxNewOwnershipRate_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRatingLifetime_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRatingLifetime_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRatingLifetime_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRatingLifetime_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"buyBoxUsedOwnershipRate_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"buyBoxUsedOwnershipRate_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryBrandProductCount_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryBrandProductCount_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"customerServicesAddressCountry": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"productCountWithAmazonOffer_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"productCountWithAmazonOffer_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryRootCategoryProductCount_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryRootCategoryProductCount_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}json
{
"domain": 1,
"selection": {
"hasFBA": true,
"perPage": 50
}
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.015835 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |